Вход | Регистрация
 
1С:Предприятие :: 1С:Предприятие 8 общая

Мобильное приложение работает на младших версиях android'a, а на старших версиях нет.

Мобильное приложение работает на младших версиях android'a, а на старших версиях нет.
Я
   ikea
 
15.10.19 - 18:28
Есть мобильное приложение 1С, собранное для android. SDK в студии стоит 23. Проблем в следующем: на андроиде 5.0, 6.0, 7.0, 7.1 приложение работает, все ок. Но на android 8.0 и 9.0 устанавливается, а при запуске сразу же закрывается. В чем может быть проблема: по идее если работает на 5.0-7.1, то должно работать и на более старших версиях. В эмуляторе на 8.0 и 8.1 работает.
В androide не силен от слова совсем. Подскажите знающие люди!
 
 
   mistеr
 
1 - 15.10.19 - 18:55
С 8.0 нужно права запрашивать ЕМНИП. Может каких-то прав не хватает.
   ejikbeznojek
 
2 - 15.10.19 - 19:16
(0) Это совершенно нормально.
Я 1 или 2 раза релиз менял, просто потому что с обновлением андроида при запуске мобильной платформы, даже до списка баз не доходит и вылетает.

А недавно вот IOS обновился до 13.1.2. И теперь не такой уж и старый релиз 8.3.14.53 уже не подходит. Требуется релиз более свежий.
   ikea
 
3 - 16.10.19 - 10:44
(2) Спасибо за информацию.
Все решилось заменой версии сборщика и мобильной платформы на посвежее и обновление SDK на 29.
Сборщик был обновлен с 2.0.6.11 до 2.0.10.63. Мобильная платформа, соответственно, с  8.3.11.61 до 8.3.14.78.

Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.